package edu.byuh.cis.jarnaby;

import android.app.Activity;
import android.os.Bundle;
import android.text.util.Linkify;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ScrollView;
import android.widget.TextView;

public class Credits extends Activity implements OnClickListener{
	
	private String author;
	private String artwork;
	private String music;
	private String voice;
	private String summary;
	private String credits;
	
	ScrollView page;
	TextView content;
	
	@Override
	protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.credits);
		
		Bundle creditsBundle = this.getIntent().getExtras();
		author = creditsBundle.getString("author");
		artwork = creditsBundle.getString("artwork");
		music = creditsBundle.getString("music");
		voice = creditsBundle.getString("voice");
		summary = creditsBundle.getString("summary");
		
		Log.d(Main.TAG, "Unbundling author: "+ author);
		credits = "Author: "+ author +"\n\n"+ "Artwork: "+ artwork +"\n\n"+ 
		"Music: "+ music +"\n\n"+ "Voice: "+ voice +"\n\n"+ "Summary: "+ summary;
		
		page = (ScrollView) findViewById(R.id.credits);
		content = (TextView) findViewById(R.id.credits_content);
		
		content.setText(credits);
		Linkify.addLinks(content, Linkify.WEB_URLS);
		
		page.setOnClickListener(this);
		content.setOnClickListener(this);
		
		/*page.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				finish();
				Log.d("MUCHO", "clicked");
			}
		});*/
		
	}
	
	public void onClick(View v){
		switch(v.getId()){
		case R.id.credits:
			finish();
		case R.id.credits_content:
			finish();
		}
	}
}
