package edu.byuh.cis.jarnaby;

import java.util.*;
import android.graphics.drawable.BitmapDrawable;

public class Page {
	private List<Link> links;
	private String background;
	private StoryText text;
	int id;
	String pictID;
	private boolean visited;
	private Link backlink;
	private String soundPath;

	private Page(int id) {
		this.id = id;
		text = new StoryText();
		links = new ArrayList<Link>();
		visited = false;
	}

	public Page(int id, BitmapDrawable bg) {
		this(id);
	}

	public Page(int id, String pictID, String filePath) {
		this(id);
		this.pictID = pictID;
		soundPath = filePath;
	}

	public void addText(String s) {
		text.addText(s);
	}

	public void addLink(Link ln) {
		links.add(ln);
	}

	public List<Link> getLinks() {
		return links;
	}

	public boolean isVisited() {
		return visited;
	}

	public void setVisited(boolean visited) {
		this.visited = visited;
	}
	
	public StoryText getStoryText(){
		return text;
	}

	public void setPageImagePath(String imagePath){
		background = imagePath;
	}
	
	public String getPageImage() {
		return background;
	}
	
	public void setBacklink(Link ln){
		backlink = ln;
	}
	
	public Link getBacklink(){
		return backlink;
	}
	
	public boolean hasBacklink(){
		return (backlink == null) ? false : true;
	}
	
	public boolean hasLink(){
		if(links.size() == 0) return false;
		return true;
	}
	
	public int getID(){
		return id;
	}
	
	public String getPictID() {
		return pictID;
	}
	
	public String getSoundPath(){
		return soundPath;
	}
}
